Package org.drinkless.tdlib

# Class TdApi.EmojiKeyword

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.EmojiKeyword

Enclosing class:
  `TdApi`

public static class TdApi.EmojiKeyword extends TdApi.Object
Represents an emoji with its keyword.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `emoji`
  The emoji.
  `String`
  `keyword`
  The keyword.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EmojiKeyword()`
  Represents an emoji with its keyword.
  `EmojiKeyword(String emoji, String keyword)`
  Represents an emoji with its keyword.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### emoji

    public String emoji
    The emoji.

  - ### keyword

    public String keyword
    The keyword.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### EmojiKeyword

    public EmojiKeyword()
    Represents an emoji with its keyword.

  - ### EmojiKeyword

    public EmojiKeyword(String emoji, String keyword)
    Represents an emoji with its keyword.
    Parameters:
      `emoji` - The emoji.
      `keyword` - The keyword.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR